﻿.requiredSymbol::after {
    content: " *";
    font-weight: bold;
    color: red;
}

.shade-Background {
    background-color: #f8f9fa;
    padding: 7px;
    pointer-events: none;
    min-height: 2.6em;
}

.slide-menu .slide-item i {
    margin-left: -5px;
    margin-right: 10px;
}

.card-header {
    padding-bottom: 2px !important;
}

.card-shadow {
    box-shadow: 0px 0px 2px 0px rgb(0 0 0 / 50%);
}

.k-grid .k-button.k-grid-add {
    padding: 5px 10px;
}

.k-grid td .btn {
    line-height: 1.5;
}

.k-grid td .btn-sm {
    padding: 3px 5px;
    margin-right: 5px;
}

.btn-sm-excel {
    margin: 3px 0px 0px 5px !important;
}

.k-grid-header th,
.k-grid td {
    font-size: 12px !important;
}

.k-grid .k-grid-header th a {
    color: black !important;
    font-weight: 600 !important;
    font-size: larger !important;
}

.k-grid p {
    margin: 0px;
}

.k-timepicker {
    min-width: 7em !important;
}

.field-validation-error {
    color: #e80c4d;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #e80c4d;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #e80c4d;
    font-weight: bold;
    font-size: 1.1em;
}

.validation-summary-valid {
    display: none;
}

.control-label,
label {
    font-weight: 600;
}

.divFilter label,
.divFilter .k-datepicker,
.divFilter .k-dropdownlist,
.divFilter button {
    margin-left: 5px;
}

.kendo-label {
    margin-top: 0.5em;
    padding-right: 0.5em !important;
    vertical-align: middle !important;
}

.toolbar {
    float: right;
}

.kendo-search-text {
    background-color: #fff;
    background-image: none;
    border: 1px solid #c2cad8;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    height: 28px;
    padding-left: 5px;
    width: 200px;
}

.form-control-sm {
    height: 34px;
}

.form-custom-input {
    background-color: #fff;
    background-image: none;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: #555;
    line-height: 1.5;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    height: calc(2.25rem + 2px);
}

.form-control-input {
    background-color: #fff;
    background-image: none;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: #555;
    display: block;
    line-height: 1.5;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    width: 100% !important;
    height: calc(2.25rem + 2px);
}

.form-control-input-multiSelect {
    background-color: #fff;
    background-image: none;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    color: #555;
    display: block;
    line-height: 1.42857;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    width: 100% !important;
}

    .form-control-input .k-input,
    .form-control-input-multiSelect .k-input {
        padding: 0.375rem 0.1rem;
    }

.form-control-input .k-picker-wrap .k-select,
.form-control-input .k-dropdown-wrap .k-select {
    line-height: 2.5em;
}

.k-list-container {
    width: auto !important;
}

input[readonly=readonly], input[readonly] {
    background-color: #f9f9f9;
    opacity: 0.7;
}

    input[readonly=readonly][data-role=datepicker].form-control-input, input[readonly][data-role=datepicker].form-control-input {
        background-color: #fdfdfd;
        opacity: 1;
    }

input[type=checkbox] {
    margin-top: 7px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.btn:disabled {
    opacity: 0.7;
}

.hideSelected li.k-state-selected {
    display: none;
}

.divCardSiteDetail {
    box-shadow: 0.5px 0.5px 0.5px 1px rgb(0 0 0 / 30%) !important;
}

.divDTPSiteDetail table,
.divDTPInfo table,
.divJEInfo table {
    counter-reset: rowNumber;
}

    .divDTPSiteDetail table tr th[scope=row]::before,
    .divDTPInfo table tr th[scope=row]::before,
    .divJEInfo table tr th[scope=row]::before {
        counter-increment: rowNumber;
        content: counter(rowNumber);
        font-weight: bold;
        padding-right: 0.3em;
        text-align: right;
    }

.pageBreakInside {
    page-break-inside: avoid !important;
}

.pageBreakBefore {
    page-break-before: always !important;
}

.pageBreakAfter {
    page-break-after: always !important;
}

.previewPdfSign {
    text-align: right;
    margin-right: 20px;
    margin-top: 20px
}

.custom-note .note-editable {
    background-color: #d2f7cc !important;
}



ul.custom-list {
    list-style: none;
    padding-left: 0px;
}

    ul.custom-list li {
        padding: 4px 4px;
        border-bottom: 1px solid #437ac7;
        display: block;
        margin: 10px;
    }

        ul.custom-list li i {
            font-size: 22px;
            color: red;
            margin-right: 0.2em;
        }

.custom-scroll {
    overflow-x: auto;
    overflow-y: auto;
    scroll-behavior: smooth;
}

    .custom-scroll::-webkit-scrollbar {
        height: 10px;
        width: 10px;
    }

    .custom-scroll::-webkit-scrollbar-corner {
        border-radius: 10px;
    }

    .custom-scroll::-webkit-scrollbar-track {
        box-shadow: inset 0 0 5px lightgrey;
        border-radius: 10px;
    }

    .custom-scroll::-webkit-scrollbar-thumb {
        background: rgb(0, 0, 0);
        border-radius: 10px;
    }

        .custom-scroll::-webkit-scrollbar-thumb:hover {
            background: rgb(0, 0, 0);
        }
